exercise_04_26: exercise_04_26.o | .gitignore
	g++ $^ -o $@ 

exercise_04_26.ii: exercise_04_26.cpp
	g++ -E $^ -o $@

exercise_04_26.s: exercise_04_26.ii
	g++ -S $^ -o $@

exercise_04_26.o: exercise_04_26.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04_26" > $@

removes:
	rm exercise_04_26.ii exercise_04_26.s exercise_04_26.o test.out exercise_04_26 .gitignore

test: exercise_04_26 
	./exercise_04_26 < test.in > test.out 
	diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
